@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.comforts-page {
  width: 100%;
  position: relative;
  overflow-x: hidden;
  .main-image {
    height: 100vh;
    width: 100%;
    position: relative;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    .main-title {
      margin: 0 auto;
      font-family: 'Editorial New';
      font-style: normal;
      font-weight: 200;
      font-size: 90px;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: #f1efe5;
      position: relative;
      @include heading-font;
      &::before {
        position: absolute;
        content: 'The';
        font-family: 'Notera';
        font-style: normal;
        font-weight: 400;
        font-size: 60px;
        color: #f1efe5;
        text-transform: capitalize;
        letter-spacing: 0.01em;
        left: -85px;
        top: -18px;
      }
      @media (max-width: 1024px) {
        font-size: 50px;
        &::before {
          left: -65px;
          font-size: 40px;
        }
      }
      @media (max-width: 300px) {
        font-size: 32px;
      }
      @include mobile {
        margin-left: 50%;
        transform: translate(-40%) !important;
      }
    }
  }
  .second-section {
    width: 100%;
    position: relative;
    background: #f9f6ed;
    .text-div {
      padding: 110px 100px 0 100px;
      .title {
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 70px;
          text-transform: uppercase;
          letter-spacing: -0.01em;
          line-height: 1.5em;
          width: 100%;
          display: flex;
          align-items: center;
          justify-content: center;
          text-align: center;
          > span {
            display: block;
            margin-right: 27px;
            font-family: 'Notera';
            font-style: normal;
            font-weight: 400;
            font-size: 60px;
            letter-spacing: -0.01em;
            color: #9c7e61;
            text-transform: lowercase;
            text-align: center;
            &::first-letter {
              text-transform: capitalize;
            }
          }
          @include heading-font;
        }
      }
      .content {
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 400;
        font-size: 18px;
        color: rgba(38, 46, 47, 0.7);
        opacity: 0.7;
        width: 50ch;
        margin-left: auto;
        margin-right: auto;
        margin-top: 40px;
        text-align: center;
        @include subheading-font;
      }
    }
    @media (max-width: 1024px) {
      min-height: 0;
      .text-div {
        padding: 80px 20px;

        @include mobile {
          padding: 50px 20px;
        }
        .title {
          width: 100%;
          display: flex;
          flex-direction: column;
          align-items: center;
          > div {
            margin-left: 0;
            flex-direction: column;
            line-height: 1.3em;
            > span {
              margin-left: 0;
              font-size: 33px;
              margin: 0;
              margin-bottom: -10px;
            }
            &:last-of-type {
              width: max-content;
              display: flex;
              flex-direction: column;
              text-align: center;
              margin-top: -10px;
            }
          }
        }
        .content {
          text-align: center;
          margin-top: 20px;
          width: min(41ch, 100%);

          @media (max-width: 300px) {
            width: 30ch;
          }
        }
      }
    }
  }
  .mobile {
    display: none;
    @media (max-width: 1024px) {
      display: block;
    }
  }
  .third-section {
    width: 100%;
    background: $cream-100;
    > div {
      display: flex;
      align-items: center;
      margin: 0 120px;
      .text-div {
        margin-left: 55px;
        margin-top: 200px;
        margin-bottom: auto;
        .title {
          > div {
            font-family: 'Editorial New';
            font-style: normal;
            font-weight: 200;
            font-size: 50px;
            letter-spacing: 0.01em;
            text-transform: capitalize;
            display: flex;
            align-items: center;
            line-height: 1.1em;
            > span {
              display: block;
              margin: 40px 0;
              font-family: 'Notera';
              font-style: normal;
              font-weight: 400;
              text-transform: lowercase;
              font-size: 60px;
              line-height: 110%;
              letter-spacing: 0.01em;
              color: #9c7e61;
              &::first-letter {
                text-transform: capitalize;
              }
              > span {
                display: inline;
                font-family: 'Notera';
                @media (max-width: 1024px) {
                  display: none;
                }
              }
            }
          }
        }
        .content {
          font-family: 'Manrope';
          font-style: normal;
          font-weight: 400;
          font-size: 20px;
          color: #262e2f;
          opacity: 0.7;
          width: 44ch;
          margin-top: 20px;
        }
      }
      .images-div {
        height: 600px;
        width: 666px;
        > img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }
      }
    }
    // .images-div-mobile {
    //   display: none;
    // }
    @media (max-width: 1024px) {
      min-height: 0;
      > div {
        flex-direction: column;
        .text-div {
          margin: 0;
          padding: 0 20px;
          .title {
            width: 100%;
            > div {
              flex-direction: column;
              text-align: center;
              font-size: 24px;
              text-transform: uppercase;
              margin-top: 30px;
              > span {
                margin: 10px 0;
                font-size: 33px;
                &::after {
                  content: '';
                }
                @include tablet {
                  font-size: 53px;
                }
              }
              &:last-child {
                margin-top: -10px;
              }
            }
          }
          .content {
            text-align: center;
            margin-bottom: 40px;
            font-size: 14px;
            width: 40ch;
            @include tablet {
              font-size: 18px;
            }
            @media (max-width: 300px) {
              width: 30ch;
            }
          }
        }
        .images-div {
          display: none;
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          > img {
            width: 100%;
          }
        }
        .images-div-mobile {
          display: block;
          @include tablet {
            height: 500px;
          }
          > img {
            object-fit: contain;
            width: 100vw;
            @include tablet {
              height: 100%;
              object-fit: cover;
            }
          }
        }
      }
      &:last-child {
        @include mobile {
          padding-bottom: 180px;
        }
        @include tablet {
          padding-bottom: 100px;
        }
      }
    }
  }
}

// The Home Section
.footer {
  position: relative;
  z-index: 2;
  background: $green-80;
}
.theHomeSection {
  background: $green-80;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 110px;
  margin-bottom: -90px;

  @media only screen and (min-width: 1025px) and (max-width: 1160px) {
    padding: 0 30px;
  }

  // @include desktop-lg {
  //   padding: 0 0px;
  // }

  @include tablet-p {
    padding: 100px 20px 0px;
    align-items: flex-start;
  }

  @include mobile {
    flex-direction: column-reverse;
    padding: 0 20px;
  }

  .homeSectionStyle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0 auto;

    @include desktop-lg {
      max-width: 1440px;
    }

    @include mobile {
      flex-direction: column-reverse;
    }
  }

  .titleCustom {
    display: flex;
    align-items: flex-start;
    text-transform: uppercase;
    font-family: 'Editorial New';
    font-weight: 200;
    font-size: 65px;
    color: #e7e5df;
    letter-spacing: 0.01em;
    margin-top: -65px;

    @include tablet-p {
      font-size: 60px;
      margin: 0;
    }

    @include mobile {
      font-size: 40px;
      margin: 0;
    }
  }

  .textNotera {
    font-family: 'Notera';
    font-weight: 400;
    font-size: 53px;
    letter-spacing: 0.01em;
    color: #e7e5df;
    position: relative;
    top: -90px;

    @include tablet-p {
      top: -20px;
      text-align: center;
    }

    @include mobile {
      top: 0;
      text-align: center;
      font-size: 33px;
    }
  }

  .imgBoxStyle {
    width: 600px;
    height: 400px;
    position: relative;

    @include tablet-p {
      width: 45vw;
      height: 300px;
      margin-top: 0px;
    }

    img {
      position: absolute;
      top: -100px;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    @include mobile {
      width: 90vw;
      height: 250px;
      margin-top: -140px;

      > img {
        top: 0;
      }
    }
    @media only screen and (min-width: 1025px) and (max-width: 1150px) {
      width: 300px;
      height: 200px;
    }
    @media only screen and (min-width: 1151px) and (max-width: 1450px) {
      width: 450px;
      height: 300px;
    }
  }

  .headSec {
    display: flex;
    align-items: flex-start;
    position: relative;
    & > * + * {
      margin-left: 10px;
    }

    @include tablet-p {
      padding-bottom: 0px;
    }

    @include mobile {
      margin-top: 30px;
      padding-bottom: 30px;
    }
  }

  .groupSec {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-right: 50px;

    @include tablet-p {
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
    }

    @include mobile {
      align-items: center;
      justify-content: center;
      flex-direction: column;
      padding-bottom: 150px;
      margin-right: 0;
    }
    @include tablet {
      margin-bottom: 150px;
    }
  }

  .discoverBtnMobile {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    width: 100px;
    position: relative;
    top: -2px;
    justify-content: center;
    align-items: center;
    padding: 0;

    img {
      width: 100%;
    }

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: flex;
      top: 15px;
      width: 120px;
      margin-left: 50px;
    }

    @include mobile {
      display: flex;
      width: 90px;
    }
    @include tablet {
      margin-left: 100px;
    }
  }

  .discoverBtn {
    background: none;
    border: none;
    cursor: pointer;
    margin-bottom: 110px;
    position: relative;

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: none;
    }

    @include mobile {
      display: none;
    }
    @include desktop-lg {
      margin-right: 50px;
    }

    @include desktop-xlg {
      margin-right: 80px;
    }
  }
  .discoverBtn.rotateMe,
  .discoverBtnMobile.rotateMe {
    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    .imgStyle {
      animation: rotate 3s;
    }
  }

  .assetsSec {
    display: flex;
    align-items: flex-end;

    @include mobile {
      flex-direction: column;
    }
    @media only screen and (min-width: 1025px) {
      & > * + * {
        margin-left: 50px;
      }
    }
    @media only screen and (min-width: 1160px) and (max-width: 1400px) {
      & > * + * {
        margin-left: 100px;
      }
    }
    @media only screen and (min-width: 1400px) {
      & > * + * {
        margin-left: 140px;
      }
    }
  }
}

.requestSubmited {
  text-align: center;
}

.requestHeading {
  text-align: center;
  margin-top: 50px;
}

.millgroveText {
  font-family: 'Notera';
  font-weight: 400;
  font-size: 41.11px;
  letter-spacing: -0.01em;
  margin-top: 60px;
  text-align: center;
  color: $brown-70;

  @include mobile {
    margin-top: 50px;
    font-size: 33px;
  }
}

.carousel-slide {
  --separatorColor: #262e2f;
  min-height: 750px;
  padding: 120px 80px;
  display: flex;
  align-items: center;
  & > * + * {
    margin-left: 100px;
  }
  &:nth-child(even) {
    background-color: #434f50;
    color: #ebe5d3;
    --separatorColor: #ebe5d3;
  }
  &:nth-child(odd) {
    background-color: #f9f6ed;
    color: rgba(38, 46, 47, 0.7);
  }
  .image-container {
    flex: 1;
    position: relative;
    height: 600px;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      // background-position: center;
    }
    @media (max-width: 1600px) {
      height: 500px;
    }
    @media (max-width: 1400px) {
      height: 400px;
    }
  }
  .content-container {
    flex: 1;
    align-self: center;
    .content {
      text-align: center;
      &:first-child {
        margin-bottom: 60px;
      }
    }
  }
}
.content h3 {
  font-family: 'Editorial New';
  font-style: normal;
  font-weight: 200;
  font-size: 2.28rem;
  text-transform: uppercase;
  margin-bottom: 20px;
}
.content p {
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 400;
  font-size: 1.4rem;
  @include subheading-font;
}
.separator-line {
  height: 1px;
  margin-bottom: 60px;
  background-color: var(--separatorColor);
  opacity: 0.5;
}
.comforts-third-section {
  position: relative;
  background: #f9f6ed;
}
@media screen and (min-width: 1025px) {
  .comforts-third-section {
    background-color: #f9f6ed;
    .images-div {
      width: 100%;
      padding: 120px 40px;
      display: flex;
      box-sizing: border-box;
      align-items: flex-end;
      justify-content: space-between;
      .image-container {
        height: 65vh;
        width: calc(53% - 32px);
        &:first-of-type {
          height: 50vh;
          width: 25.5%;
          margin-right: 16px;
        }
        &:last-of-type {
          height: 50vh;
          width: 21.5%;
          margin-left: 16px;
        }
        > img {
          height: 100%;
          width: 100%;
          object-fit: cover;
          object-position: 74%;
        }
        > img.positioned-img {
          object-position: 40%;
        }
      }
    }
  }
}

.images-div-mobile {
  display: none;
}

@media screen and (max-width: 1024px) {
  .comforts-third-section {
    padding-bottom: 50px;
    @include tablet {
      padding-bottom: 80px;
    }
    .images-div {
      display: none;
    }
  }
  .images-div-mobile {
    display: block;
    background-color: #f9f6ed;
  }
}
@media (max-width: 1024px) {
  .comforts-page {
    .main-image {
      background-position: 95%;
    }
  }
  .images-div-mobile {
    img {
      height: 300px;
      @include tablet {
        height: 500px;
        width: 100vw;
      }
    }
  }
}
.images-div-mobile {
  li {
    img {
      height: 100%;
      object-fit: cover;
      object-position: 75%;
    }
  }
}

@include mobile() {
  .carousel-slide {
    --padding: 16px;
    flex-direction: column;
    padding: 0 var(--padding) 50px var(--padding);
    & > * + * {
      margin-left: 0px;
      margin-top: 36px;
    }
    .image-container {
      height: 300px;
      flex: none;
      margin-left: calc(var(--padding) * -1);
      margin-right: calc(var(--padding) * -1);
    }
    .content h3 {
      font-size: 1.75rem;
    }
    .content p {
      font-size: clamp(14px, calc(10px + 1vw), 24px);
    }
    .separator-line {
      margin: 40px 0;
    }
    .content-container {
      .content {
        &:first-child {
          margin-bottom: 24px;
        }
      }
    }
  }
}
@media screen and (min-width: 700px) and (max-width: 1024px) {
  .carousel-slide {
    padding: 80px 20px;
    & > * + * {
      margin-left: 36px;
    }
    min-height: 450px;
    .image-container {
      align-self: center;
      height: 350px;
      flex: 1;
    }
    .content h3 {
      font-size: 1.75rem;
    }
    .separator-line {
      margin-bottom: 24px;
    }
    .content-container {
      .content {
        &:first-child {
          margin-bottom: 24px;
        }
      }
    }
  }
}

.dark-backdrop {
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.195);
  position: absolute;
}
